Bug 977013 - Ices running away after boot
Ices running away after boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ices (Show other bugs)
18
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-22 11:59 EDT by Adrian Offerman
Modified: 2014-02-05 16:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:55:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Offerman 2013-06-22 11:59:36 EDT
Description of problem:

After booting, Ices memory usage is quickly growing and it is processing the ogg files in my playlist very quickly. After stopping and restarting the service, it is behaving normally.
This behaviour is new to me, for it was working without any problems before. Just checked my updates log, but don't see any direct dependencies there that were recently updated.

Version-Release number of selected component (if applicable):
ices-2.0.1-14.fc18.x86_64

How reproducible:
Every time, immediately after rebooting the system, but not after stop/restart.

Steps to Reproduce:
1.
2.
3.

Actual results:
Ices processing ogg files in playlist very quickly, but only immediately after reboot.

Expected results:

Additional info:

My playlist file contains nothing but a list of 10-15 filenames.

Here is a snippet from my Ices log file. As you can see it processes several ogg files per second.

[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - From Head To Toe (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - I'm Under Your Magic Spell (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Love Spins (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Never Is A Long Time (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - One Is Such A Lonely Number (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Reaching High (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Seduce Me (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Sleeping In My Car (Stockholm demo version).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Turn Me On (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Dancing On The Nightwire (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Don't Believe In Accidents (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Drowning In You (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - From Head To Toe (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - I'm Under Your Magic Spell (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Love Spins (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Never Is A Long Time (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - One Is Such A Lonely Number (demo).ogg"
[2013-06-22  17:05:05] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Reaching High (demo).ogg"
[2013-06-22  17:05:06] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Seduce Me (demo).ogg"
[2013-06-22  17:05:06] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Sleeping In My Car (Stockholm demo version).ogg"
[2013-06-22  17:05:06] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Turn Me On (demo).ogg"
[2013-06-22  17:05:06] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Dancing On The Nightwire (demo).ogg"
[2013-06-22  17:05:06] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Don't Believe In Accidents (demo).ogg"
[2013-06-22  17:05:06] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Drowning In You (demo).ogg"
[2013-06-22  17:05:06] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - From Head To Toe (demo).ogg"
[2013-06-22  17:05:06] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - I'm Under Your Magic Spell (demo).ogg"

Other messages every few seconds in this playlist explosion:

[2013-06-22  17:04:54] DBUG encode/encode_clear Clearing encoder engine
[2013-06-22  17:04:54] DBUG reencode/reencode_page Reinitialising reencoder for new logical stream
[2013-06-22  17:04:54] INFO encode/encode_initialise Encoder initialising in VBR mode: 2 channels, 44100 Hz, nominal 64000

And this at startup of the server:

[2013-06-21  22:59:32] INFO ices-core/main IceS 2.0.1 started...
[2013-06-21  22:59:32] INFO signals/signal_usr1_handler Metadata update requested
[2013-06-21  22:59:32] INFO stream/ices_instance_stream Connected to server: localhost:8000/adrian-music
[2013-06-21  22:59:32] INFO playlist-basic/playlist_basic_get_next_filename Loading playlist from file ".../ices-adrian-playlist.txt"
[2013-06-21  22:59:32] INFO playlist-builtin/playlist_read Currently playing ".../Roxette - Dancing On The Nightwire (demo).ogg"
[2013-06-21  22:59:32] DBUG reencode/reencode_page Reinitialising reencoder for new logical stream
[2013-06-21  22:59:32] INFO encode/encode_initialise Encoder initialising in VBR mode: 2 channels, 44100 Hz, nominal 64000
Comment 1 Fedora End Of Life 2013-12-21 09:06:29 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:55:26 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.